org.vishia.guiInspc

## Class InspcGuiFieldsFromFile

- java.lang.Object
- - org.vishia.guiInspc.InspcGuiFieldsFromFile

-     public class InspcGuiFieldsFromFile
      extends java.lang.Object

  This classes contains a configuration of some variables. They are filled from a file which contains the paths. They can be saved in a file. The variables can be used to show in a curve view, to show in an extra window etc. The advantage: It is flexible which variables are present.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `InspcGuiFieldsFromFile.BitSignal` ZBNF result:
    `static class` | `InspcGuiFieldsFromFile.Channel` ZBNF result: one line.
    `static class` | `InspcGuiFieldsFromFile.MappingItem` ZBNF result:
    `static class` | `InspcGuiFieldsFromFile.ZbnfResultFile` ZBNF result: the whole file

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) InspcGuiFieldsFromFile.ZbnfResultFile` | `cfgFileInputData`
    `(package private) LogMessage` | `log`
    `(package private) MainCmdLogging_ifc` | `report`
    `static java.lang.String` | `sVersion` Version, history and license.
    `java.lang.String` | `syntaxMappingFile`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InspcGuiFieldsFromFile()`
    `InspcGuiFieldsFromFile(LogMessage log)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `parse(java.io.File fileCfg, InspcGuiFieldsFromFile.ZbnfResultFile data)` Parses the config file for HSI and fill data.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sVersion

          public static final java.lang.String sVersion

      Version, history and license.
      - 2014-04-29 Hartmut cleanup, now really used in a professional application.
      - 2013-03-17 Hartmut creating
      Copyright/Copyleft: For this source the LGPL Lesser General Public License, published by the Free Software Foundation is valid. It means:
      1. You can use this source without any restriction for any desired purpose.
      2. You can redistribute copies of this source to everybody.
      3. Every user of this source, also the user of redistribute copies with or without payment, must accept this license for further using.
      4. But the LPGL is not appropriate for a whole software product, if this source is only a part of them. It means, the user must publish this part of source, but don't need to publish the whole source of the own product.
      5. You can study and modify (improve) this source for own using or for redistribution, but you have to license the modified sources likewise under this LGPL Lesser General Public License. You mustn't delete this Copyright/Copyleft inscription in this source file.
      If you are intent to use this sources without publishing its usage, you can get a second license subscribing a special contract with the author.
      See Also:
        Constant Field Values

    - #### cfgFileInputData

          final InspcGuiFieldsFromFile.ZbnfResultFile cfgFileInputData

    - #### log

          LogMessage log

    - #### report

          MainCmdLogging_ifc report

    - #### syntaxMappingFile

          public final java.lang.String syntaxMappingFile

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### InspcGuiFieldsFromFile

          public InspcGuiFieldsFromFile()

    - #### InspcGuiFieldsFromFile

          public InspcGuiFieldsFromFile(LogMessage log)

  - ### Method Detail

    - #### parse

          public boolean parse(java.io.File fileCfg,
                               InspcGuiFieldsFromFile.ZbnfResultFile data)
                        throws java.lang.IllegalArgumentException

      Parses the config file for HSI and fill data.
      Parameters:
        `fileCfg` -
        `data` - Proper data instance for parse result, the fields should be match to the semantic.
      Returns:
        true if ok. false then a log message was sent.
      Throws:
        `java.lang.IllegalArgumentException`